"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isJSONRequestContext = exports.isLiquidRequestContext = void 0;
const theme_check_common_1 = require("@shopify/theme-check-common");
function isLiquidRequestContext(context) {
    const { doc, schema, parsed } = context;
    return (doc.type === theme_check_common_1.SourceCodeType.LiquidHtml && !!schema && !(0, theme_check_common_1.isError)(doc.ast) && !(0, theme_check_common_1.isError)(parsed));
}
exports.isLiquidRequestContext = isLiquidRequestContext;
function isJSONRequestContext(context) {
    const { doc } = context;
    return doc.type === theme_check_common_1.SourceCodeType.JSON && !(0, theme_check_common_1.isError)(doc.ast);
}
exports.isJSONRequestContext = isJSONRequestContext;
//# sourceMappingURL=RequestContext.js.map